# eric3.ViewManager.BookmarkedFilesDialog

Module implementing a configuration dialog for the bookmarked files menu.

### Classes

BookmarkedFilesDialog | Class implementing a configuration dialog for the bookmarked files menu.

### Functions

None

## BookmarkedFilesDialog

Class implementing a configuration dialog for the bookmarked files menu.

### Derived from

BookmarkedFilesForm

### Methods

BookmarkedFilesDialog | Constructor
getBookmarkedFiles | Public method to retrieve the tools list.
handleAdd | Private slot to add a new entry.
handleChange | Private slot to change an entry.
handleDelete | Private slot to delete the selected entry.
handleDown | Private slot to move an entry down in the list.
handleEntrySelected | Private slot to set the lineedit depending on the selected entry.
handleFileSelect | Private slot to handle the file selection via a file selection dialog.
handleUp | Private slot to move an entry up in the list.
swap | Private method used two swap two list entries given by their index.

### BookmarkedFilesDialog (Constructor)

BookmarkedFilesDialog(bookmarks, parent=None)

Constructor

bookmarks
  list of bookmarked files (QStringList)
parent
  parent widget (QWidget)

### BookmarkedFilesDialog.getBookmarkedFiles

getBookmarkedFiles()

Public method to retrieve the tools list.

Returns:
  a list of tuples containing the menu text, the executable, the executables arguments and a redirection flag

### BookmarkedFilesDialog.handleAdd

handleAdd()

Private slot to add a new entry.

### BookmarkedFilesDialog.handleChange

handleChange()

Private slot to change an entry.

### BookmarkedFilesDialog.handleDelete

handleDelete()

Private slot to delete the selected entry.

### BookmarkedFilesDialog.handleDown

handleDown()

Private slot to move an entry down in the list.

### BookmarkedFilesDialog.handleEntrySelected

handleEntrySelected(index)

Private slot to set the lineedit depending on the selected entry.

index
  the index of the selected entry (integer)

### BookmarkedFilesDialog.handleFileSelect

handleFileSelect()

Private slot to handle the file selection via a file selection dialog.

### BookmarkedFilesDialog.handleUp

handleUp()

Private slot to move an entry up in the list.

### BookmarkedFilesDialog.swap

swap(itm1, itm2)

Private method used two swap two list entries given by their index.

itm1
  index of first entry (int)
itm2
  index of second entry (int)

Up